﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Model.Business;
using Model.DTO;
using Shared;

namespace Services
{
    public class DataService : IDataService<UserDTO>
    {
        public IUserDataService<UserDTO?> UserService { get; }
        public DataService(IUserDataService<UserDTO?> userDataService) 
        {
            UserService = userDataService;
        }

        public IInquiryDataService InquiryDataService { get; }

        public ILessonDataService LessonDataService { get; }
    }
}
