﻿using Entities.SQLudeoDB;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Model.Business
{
    public class Inquiry
    {
        public int Id { get; set; }
        public string Title { get; set; }
        public string Description { get; set; }
        public bool IsUser { get; set; }
        public InquiryTableEntity Database { get; set; }
        public SolutionEntity InquiryTable { get; set; }
        public Inquiry() { }

        public Inquiry(int id, string title, string description, bool isUser, InquiryTableEntity database, SolutionEntity inquiryTable)
        {
            Id = id;
            Title = title;
            Description = description;
            IsUser = isUser;
            Database = database;
            InquiryTable = inquiryTable;
        }
    }
}
