﻿using Entities.SQLudeoDB;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Model.DTO
{
    public class SuccessDTO
    {
        public int UserId { get; set; }
        public UserEntity User { get; set; }
        public int InquiryId { get; set; }
        public InquiryEntity Inquiry { get; set; }
        public bool IsFinished { get; set; }

        public SuccessDTO() { }

        public SuccessDTO(int userId, int inquiryId, bool isFinished)
        {
            UserId = userId;
            InquiryId = inquiryId;
            IsFinished = isFinished;
        }
    }
}
