﻿using Model.DTO;
using Shared;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Services
{
    public interface ILessonDataService : IGenericService<LessonDTO>
    {
        public IEnumerable<InquiryDTO> GetLessons(int page, int number);
        public InquiryDTO GetLessonById(int id);
        public InquiryDTO GetLessonByTitle(string title);
        public bool DeleteLesson(int id);
        public InquiryDTO UpdateLesson(int id, LessonDTO lesson);
        public UserDTO CreateLesson(string title, string lastPublisher, DateOnly lastEdit);
    }
}
